/**
 * Created with JetBrains WebStorm.
 * User: Cmma
 * Date: 7/23/14
 * Time: 12:36 PM
 * To change this template use File | Settings | File Templates.
 */

define(function (require, exports, module) {

    function Upload() {
    }

    Upload.SetProValue = function (value) {
        $("#proValue").css("width", value + "%");
        $("#proMsg")[0].innerHTML = "上传中" + value + "%";
    }

    Upload.SetUploadingStatus = function () {
        $("#proUploading").show();
        $("#proUploaded").hide();
        $('#proUploadedFailed').hide();

    }

    Upload.SetUploadedStatus = function () {
        $("#proUploading").hide();
        $("#proUploaded").show();
        $('#proUploadedFailed').hide();
    }

    Upload.SetFailedStatus = function () {
        $("#proUploading").hide();
        $("#proUploaded").hide();
        $('#proUploadedFailed').show();
    }

    Upload.SetErrorMsg = function (msg) {
        $("#errMsg").innerHTML = msg;
    }

    Upload.CleanErrorMsg = function () {
        $("#errMsg").innerHTML = "";
    }
    exports.upload = Upload;
});

